> ## Documentation Index
> Fetch the complete documentation index at: https://api.lensmor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply profile and get recommended events



## OpenAPI

````yaml /openapi.json post /external/profile-matching/actions/apply-recommended-events/paged
openapi: 3.1.0
info:
  title: Lensmor API
  version: 0.22.0
  description: >-
    Lensmor Event Intelligence API for event discovery, exhibitor research,
    personnel lookup, credits, and profile matching.
servers:
  - url: https://platform.lensmor.com
security:
  - bearerAuth: []
tags:
  - name: Credits
  - name: Actions
  - name: Events
  - name: Exhibitors
  - name: Personnel
  - name: Contacts
  - name: Profile Matching
paths:
  /external/profile-matching/actions/apply-recommended-events/paged:
    post:
      tags:
        - Profile Matching
      summary: Apply profile and get recommended events
      operationId: applyRecommendedEventsPaged
      requestBody:
        $ref: '#/components/requestBodies/ProfileMatchingBody'
      responses:
        '201':
          description: Recommended events
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileEventRecommendationPage'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '409':
          $ref: '#/components/responses/Conflict'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  requestBodies:
    ProfileMatchingBody:
      required: true
      content:
        application/json:
          schema:
            type: object
            properties:
              company_url:
                type: string
                format: uri
              target_audience:
                type: string
              page:
                type: integer
                minimum: 1
                default: 1
              pageSize:
                type: integer
                minimum: 1
                maximum: 100
                default: 20
              autoRecommendTop3EventsEnabled:
                type: boolean
              city:
                type: string
              region:
                type: string
              country:
                type: string
              category:
                type: array
                items:
                  type: string
              eventTypeIds:
                type: array
                items:
                  type: integer
              dateStartFrom:
                type: string
                format: date
              dateStartTo:
                type: string
                format: date
              future:
                type: integer
              attendeeCountMin:
                type: integer
                minimum: 0
              attendeeCountMax:
                type: integer
                minimum: 0
            anyOf:
              - required:
                  - company_url
              - required:
                  - target_audience
  schemas:
    ProfileEventRecommendationPage:
      allOf:
        - $ref: '#/components/schemas/EventPage'
        - type: object
          properties:
            status:
              type: string
            condition_tags:
              type: object
              additionalProperties: true
            profile_version:
              type:
                - integer
                - 'null'
            active_result_version:
              type:
                - integer
                - 'null'
            is_stale:
              type: boolean
          additionalProperties: true
    EventPage:
      type: object
      required:
        - items
        - total
        - page
        - pageSize
        - totalPages
        - hasMore
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/EventItem'
        total:
          type: integer
        page:
          type: integer
        pageSize:
          type: integer
        totalPages:
          type: integer
        hasMore:
          type: boolean
      additionalProperties: true
    ApiError:
      type: object
      required:
        - code
        - message
        - errorKey
        - traceId
      properties:
        code:
          type: integer
        message:
          type: string
        errorKey:
          type: string
        traceId:
          type: string
    EventItem:
      type: object
      required:
        - id
        - eventId
        - name
      properties:
        id:
          type: string
        eventId:
          type: string
        name:
          type:
            - string
            - 'null'
        nickname:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        url:
          type:
            - string
            - 'null'
        dateStart:
          type:
            - string
            - 'null'
          format: date
        dateEnd:
          type:
            - string
            - 'null'
          format: date
        venue:
          type:
            - string
            - 'null'
        city:
          type:
            - string
            - 'null'
        region:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        exhibitorCount:
          type:
            - integer
            - 'null'
        image:
          type:
            - string
            - 'null'
        dataSource:
          type:
            - string
            - 'null'
      additionalProperties: true
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    Conflict:
      description: Business conflict
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: User API key

````